%global _hardened_build 1

Name: libcli
Version: 1.10.7
Release:    2%{?dist}
Summary: A shared library for a Cisco-like cli
License: LGPL-2.1-or-later
URL: http://sites.dparrish.com/libcli
Source0: https://github.com/dparrish/libcli/archive/V%{version}/%{name}-%{version}.tar.gz

%package devel
Summary: Development files for libcli
Requires: %{name} = %{version}-%{release}

BuildRequires:  gcc
BuildRequires: make
%description
Libcli provides a shared library for including a Cisco-like command-line 
interface into other software. It's a telnet interface which supports 
command-line editing, history, authentication and callbacks for a 
user-definable function tree. 

%description devel
Libcli provides a shared library for including a Cisco-like command-line 
interface into other software. It's a telnet interface which supports 
command-line editing, history, authentication and callbacks for a 
user-definable function tree. 

These are the development files.

%prep
%setup -q

%build

make %{?_smp_mflags}

%install
install -d -p %{buildroot}%{_includedir}
install -p -m 644 libcli*.h %{buildroot}%{_includedir}/
install -d -p %{buildroot}%{_libdir}
install -p -m 755 libcli.so.%{version} %{buildroot}%{_libdir}/
ln -s %{_libdir}/libcli.so.%{version} %{buildroot}%{_libdir}/libcli.so.1.10
ln -s %{_libdir}/libcli.so.1.10 %{buildroot}%{_libdir}/libcli.so


%files
%doc COPYING
%{_libdir}/*.so.1.10*

%files devel
%doc README.md
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.10.7-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.7-1
- initial build
